# VecGetLocalSize

Returns the number of elements of the vector stored in local memory. This routine may be implementation dependent, so use with care.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetLocalSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

x -the vector

### Output Parameter

size -the length of the local piece of the vector

### C++ variants

| PetscInt VecGetLocalSize(Vec x) |  | -> |  | VecGetLocalSize(x,&s); return s;

### See Also

VecGetSize()

Level:beginner
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/ts/examples/tutorials/ex2.c.html